package com.foreverwin.mesnac.dispatch.mapper;

import com.foreverwin.mesnac.dispatch.model.SurplusItemReturn;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * <p>
 * 余料退回 Mapper 接口
 * </p>
 *
 * @author Leon.L
 * @since 2021-07-10
 */
@Repository
public interface SurplusItemReturnMapper extends BaseMapper<SurplusItemReturn> {

    /**
     * 查询库存信息
     *
     * @param inventoryBo
     * @return
     */
    Map<String, Object> selectInventoryData(@Param("inventoryBo") String inventoryBo);
}