package com.foreverwin.mesnac.anomaly.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.anomaly.dto.AbnormalBillDto;
import com.foreverwin.mesnac.anomaly.model.AbnormalBill;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 异常单 Mapper 接口
 * </p>
 *
 * @author robert
 * @since 2021-07-05
 */
@Repository
public interface AbnormalBillMapper extends BaseMapper<AbnormalBill> {
    List<AbnormalBillDto> backLog(@Param("abnormalBill")AbnormalBillDto abnormalBillDto, @Param("language")String language);

    /**
     * 设备异常响应检索用
     * @param abnormalBill
     * @param language
     * @return
     */
    AbnormalBillDto findAllByAbnormalNoDevice(@Param("abnormalBill")AbnormalBill abnormalBill, @Param("language")String language);



}