package com.foreverwin.mesnac.common.service;

import com.foreverwin.mesnac.common.dto.SfcDispatchDto;

/**
 * 派工公用接口
 *
 *
 * @author Leon
 * @date2021/7/7
 */
public interface SfcDispatchCommonService {

    /**
     * 修改派工单状态
     *
     * @param site
     * @param user
     * @param dispatchNo
     * @param dispatchStatus
     */
    void updateSfcDispatchStatus(String site, String user, String dispatchNo, String dispatchStatus);

    /**
     * 根据sfc查询设备
     * @param sfcDispatch
     * @return
     */
    SfcDispatchDto findResrceBySfc(SfcDispatchDto sfcDispatch);
}
