package com.foreverwin.mesnac.equip.mapper;

import com.foreverwin.mesnac.equip.dto.ResourceInspectTaskDto;
import com.foreverwin.mesnac.equip.model.ResourceInspectTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 设备检验任务表 Mapper 接口
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-07-01
 */
@Repository
public interface ResourceInspectTaskMapper extends BaseMapper<ResourceInspectTask> {
    /**
     * 自定义方法：查询检验任务---检验任务总览
     * @param resourceInspectTaskDto
     * @return
     */
    List<ResourceInspectTaskDto> findResourceInspectTaskList(ResourceInspectTaskDto resourceInspectTaskDto);

    LocalDateTime selectMaxCreateTimeByPlanBoAnd(ResourceInspectTask resourceInspectTask);


}